
Name: shorewall-common
Version: 4.2.0
Release: alt1
Summary: Shoreline Firewall is an iptables-based firewall for Linux systems.
License: GPL
Group: Security/Networking
Url: http://www.shorewall.net/
Source0: %name-%version.tar.bz2
Source1: shorewall.init
Source3: shorewall-control
Source4: shorewall-README.ALT.RU.UTF8

Packager: Alexey Shabalin <shaba@altlinux.ru>

BuildArch: noarch
Requires: iptables iproute2 shorewall-compiler
Provides: shorewall = %version-%release
Obsoletes: shorewall < %version-%release

%description
The Shoreline Firewall, more commonly known as "Shorewall", is a Netfilter
(iptables) based firewall that can be used on a dedicated firewall system,
a multi-function gateway/ router/server or on a standalone GNU/Linux system.

Shorewall offers two alternative firewall compilers, shorewall-perl and
shorewall-shell. The shorewall-perl compilers is suggested for new installed
systems and shorewall-shell is provided for backwards compability and smooth
legacy system upgrades because shorewall perl is not fully compatible with
all legacy configurations.

%prep
%setup -q

%install
PREFIX=%buildroot DEST=%_initdir %_buildshell install.sh -n
%__install -m 0755 -p %SOURCE1 %buildroot%_initdir/shorewall
%__install -D -m 0755 %SOURCE3 %buildroot%_controldir/shorewall
%__install -m 0644 %SOURCE4 README.ALT.RU.UTF8

%post
%post_service shorewall

%preun
%preun_service shorewall

%files
%doc COPYING INSTALL changelog.txt releasenotes.txt tunnel ipsecvpn Samples
%doc README.ALT.RU.UTF8
%attr(0700,root,root) /sbin/shorewall
%attr(0755,root,root) %config %_initdir/shorewall
%attr(0755,root,root) %dir %_sysconfdir/shorewall
%attr(0600,root,root) %config(noreplace) %_sysconfdir/shorewall/[a-z]*
%_controldir/shorewall
%attr(0600,root,root) %_sysconfdir/shorewall/Makefile
%attr(0755,root,root) %dir %_datadir/shorewall
%attr(0755,root,root) %dir %_datadir/shorewall/configfiles
%attr(0600,root,root) %_datadir/shorewall/a*
%attr(0600,root,root) %_datadir/shorewall/configpath
%attr(0600,root,root) %_datadir/shorewall/functions
%attr(0600,root,root) %_datadir/shorewall/[l-z,A-Z]*
%attr(0700,root,root) %_datadir/shorewall/firewall
%attr(0600,root,root) %_datadir/shorewall/configfiles/*
%attr(0700,root,root) %dir %_var/lib/shorewall
%_man5dir/*
%_man8dir/*

%changelog
* Fri Oct 17 2008 Alexey Shabalin <shaba@altlinux.ru> 4.2.0-alt1
- 4.2.0 (new STABLE release series)

* Wed Jun 18 2008 Alexey Shabalin <shaba@altlinux.ru> 3.4.8-alt1
- 3.4.8

* Thu Nov 08 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.7-alt2
- apply patch patch-3.4.7-1.diff from errata

* Wed Oct 10 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.7-alt1
- 3.4.7

* Thu Sep 20 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.6-alt1
- 3.4.6

* Fri Jul 20 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.5-alt1
- 3.4.5

* Sun Jul 15 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.4-alt6
- 3.4.4-6

* Fri Jun 22 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.4-alt1
- 3.4.4-1
- fix control

* Sat Jun 02 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.3-alt1
- 3.4.3
- add %%patch1 - fix work tcrules with multiport

* Mon Apr 02 2007 Alexey Shabalin <shaba@altlinux.ru> 3.4.2-alt1
- 3.4.2
- remove patches
- add manpages

* Thu Mar 01 2007 Alexey Shabalin <shaba@altlinux.ru> 3.2.9-alt1
- Initial build for Sisyphus
